Home

# Class goog.testing.messaging.MockMessageChannel

Class for unit-testing code that communicates over a MessageChannel.

extends goog.messaging.AbstractChannel

Instance Method Summary
| `dispose()` Sets a flag indicating that this is disposed.
| `receive(string serviceName, (Object|string) payload)` Mocks the receipt of a message. Passes the payload the appropriate service.
| `send(string serviceName, (Object|string) payload)` A mock send function. Actually an instance of {@link goog.testing.FunctionMock}.